.select2-container {
    display: inline-flex;
    width: 100%!important;
}
    .select2-container .selection{
        width: 100%;
    }

.select2-container--default .select2-selection--single {
    display: flex;
    align-items: center;
    padding: 6px 12px;
    background: #ffffff !important;
    border-radius: 4px;
    border: 1px solid #ced4da;
    box-shadow: none !important;
    color: #495057 !important;
    font-size: 16px;
    font-weight: 400;
    line-height: 18px;
    height: 46px;
    position: relative;
    font-family: 'Oswald', sans-serif, Helvetica;
    font-weight: 500;
    text-transform: uppercase;
}

.select2-container--default .select2-selection--single:focus,
.select2-container--default .select2-selection--single:hover{
    outline: solid transparent;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    font-size: 16px;
    font-weight: 400;
    line-height: 18px;
    padding: 0;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    position: absolute;
    top: 52%;
    right: 12px;
    width: 12px;
    height: 12px;
    transform: translate(-50%,-52%);
    background-image: url('../../../img/icon/select_arrow.svg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: 10px auto;    
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
    display: none!important;
}
.select2-container--default.select2-container--open.select2-container--above .select2-selection--single, .select2-container--default.select2-container--open.select2-container--above .select2-selection--multiple {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
}
.select2-container--default.select2-container--open.select2-container--below .select2-selection--single, .select2-container--default.select2-container--open.select2-container--below .select2-selection--multiple {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    border-top-right-radius: 4px;
    border-top-left-radius: 4px;
}
.select2-dropdown{    
    border: 1px solid #000000!important;
    background: #ffffff;
    border-radius: 4px;
    overflow: hidden;
    padding: 0;
}
.select2-results__option{
    padding: 6px 12px;
    margin: 0;    
    color: #767676;
    font-weight: 500;
    font-family: 'Oswald', sans-serif, Helvetica;
    text-transform: uppercase;
    font-size: 16px;
}
.select2-container--open .select2-selection--single .select2-selection__arrow {
    background-image: url('../../../img/icon/select_arrow_open.svg');
}
.select2-container--default .select2-results__option[aria-selected=true] {
    background-color: transparent; 
    color: #767676
}
.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #007bff;
    color: #ffffff
}

/* .select2-container--default.select2-container--disabled .select2-selection--single{
    background-color: var(--theme_silver, #F1F4F8);
    border: 1px solid var(--theme_silver, #F1F4F8);
    cursor: initial;
    pointer-events: none;
    box-shadow: 0px 4px 4px transparent;
    opacity: 0.6;
} */

/* .select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover {
    color: red;
}

.select2-container--classic .select2-selection--multiple .select2-selection__choice__remove:hover {
    color: darkviolet;
} */
